Generator::throw
Generator::__wakeup
Generator
PHP Manual

# Generator::valid

(PHP 5 >= 5.5.0)

Generator::valid — Check if the iterator has been closed

### Description

public bool Generator::valid ( void )

### Parameters

This function has no parameters.

### Return Values

Returns `FALSE` if the iterator has been closed. Otherwise returns `TRUE`.

Generator::throw
Generator::__wakeup
Generator
PHP Manual